<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Power Rangers</Series>
  <Number>11</Number>
  <Web>https://www.comixology.com/Power-Rangers-11/digital-comic/961033</Web>
  <Summary>Will the Omega Rangers be able to enlist the last Emissary to help to defeat the Empyreals? The Omega Rangers attempt to question the enigmatic Yellow Emissary, who may know the secret of the Empyreals undoing. But even if they can convince the Yellow Emissary to help, it may be too late if Drakkon isn't on the same page... The fate of the Omega Rangers and the Yellow Emissary hang in the balance as they all fight for their lives!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB961033], [ASINB09C7417QM]</Notes>
  <Publisher>BOOM! Studios</Publisher>
  <Genre>Superhero, Action/Adventure</Genre>
  <PageCount>27</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
